// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/nikita.morozov/bot-ms-core/models"
)

// HandlerRegistry is an autogenerated mock type for the HandlerRegistry type
type HandlerRegistry struct {
	mock.Mock
}

// Add provides a mock function with given fields: method, handler
func (_m *HandlerRegistry) Add(method string, handler *models.IHandler) {
	_m.Called(method, handler)
}

// AddFromModules provides a mock function with given fields: modules
func (_m *HandlerRegistry) AddFromModules(modules []models.ModuleHandler) {
	_m.Called(modules)
}

// Get provides a mock function with given fields: method
func (_m *HandlerRegistry) Get(method string) *models.IHandler {
	ret := _m.Called(method)

	var r0 *models.IHandler
	if rf, ok := ret.Get(0).(func(string) *models.IHandler); ok {
		r0 = rf(method)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.IHandler)
		}
	}

	return r0
}
